This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 486440 - Fix mod_tps and mod_tokendb LDAP linkage
Fix mod_tps and mod_tokendb LDAP linkage
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: TPS (Show other bugs)
1.0
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-02-19 14:18 EST by Matthew Harmsen
Modified: 2015-01-04 18:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:32:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
TPS Apache Module LDAP linkage diffs (8.71 KB, text/plain)
2009-02-21 21:10 EST, Matthew Harmsen
no flags Details
Changes to "Makefile.am" and "configure.ac" (3.81 KB, text/plain)
2009-02-21 21:14 EST, Matthew Harmsen
no flags Details

  None (edit)
Description Matthew Harmsen 2009-02-19 14:18:25 EST
It was discovered that "mod_tps" and "mod_tokendb" link against BOTH "openldap" AND "mozldap".  This becomes an issue when attempting to contact an LDAP server that is running LDAPS ("openldap" uses "openssl" while "mozldap" uses "NSS").

Change "mod_tps" and "mod_tokendb" to ONLY link against "mozldap" to guarantee that ONLY "NSS" is being utilized.
Comment 1 Matthew Harmsen 2009-02-21 21:10:51 EST
Created attachment 332840 [details]
TPS Apache Module LDAP linkage diffs
Comment 2 Matthew Harmsen 2009-02-21 21:14:05 EST
Created attachment 332841 [details]
Changes to "Makefile.am" and "configure.ac"
Comment 3 Jack Magne 2009-02-21 21:18:46 EST
Attachments (id=332840,id=332841) +jmagne.
Comment 4 Matthew Harmsen 2009-02-21 21:24:24 EST
pki/base/tps:

NOTE:  The only two files that required being manually changed were "Makefile.am"
       and "configure.ac"; the rest of these files were automatically regenerated
       after running the "autogen.sh" script.  Additionally, the file called
       "m4/apache.m4" was deleted as it is no longer needed.

% svn status
D      m4/apache.m4
M      configure
M      Makefile.in
M      depcomp
M      compile
M      config.guess
M      config.sub
M      ltmain.sh
M      configure.ac
M      config.h.in
M      missing
M      Makefile.am
M      aclocal.m4
M      install-sh

% svn commit
Sending        tps/Makefile.am
Sending        tps/Makefile.in
Sending        tps/aclocal.m4
Sending        tps/compile
Sending        tps/config.guess
Sending        tps/config.h.in
Sending        tps/config.sub
Sending        tps/configure
Sending        tps/configure.ac
Sending        tps/depcomp
Sending        tps/install-sh
Sending        tps/ltmain.sh
Deleting       tps/m4/apache.m4
Sending        tps/missing
Transmitting file data .............
Committed revision 238.

Note You need to log in before you can comment on or make changes to this bug.